> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fincode.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Transaction Status

> Check the status of a transaction.



## OpenAPI

````yaml POST /gateway/transaction/checkstatus
openapi: 3.0.0
info:
  title: FinCode API
  version: v6
servers:
  - url: https://{tenant}.fincode.software/api/v6/services
    description: API v6
    variables:
      tenant:
        default: remitjunction
        description: Enter your tenant subdomain
  - url: https://{tenant}.fincode.software/api/v1/services
    description: API v1
    variables:
      tenant:
        default: finlend
        description: Enter your tenant subdomain
  - url: https://api.stag.songhaiexchange.io
    description: Songhai Exchange API
security: []
paths:
  /gateway/transaction/checkstatus:
    post:
      tags:
        - Transaction
      summary: Check Transaction Status
      description: Check the status of a transaction.
      operationId: checkTransactionStatus
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
          required: true
          description: Bearer token
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                reference_codes:
                  type: array
                  items:
                    type: string
      responses:
        '200':
          description: Transaction Status
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    pay_out_party_trans_status:
                      type: string
                    reference_code:
                      type: string
                    status:
                      type: string
                    pay_out_party_trans_id:
                      type: string
                    msg_note:
                      type: string
                    msg_code:
                      type: string
                    newAccountCreated:
                      type: boolean
                    autoAccountCreationEnabled:
                      type: boolean
                    accountPaymentRedirectedEnabled:
                      type: boolean
                    accountPaymentRedirected:
                      type: boolean
                    originalPaymentInstructionAccountNumber:
                      type: string
                    redirectedAccountNumber:
                      type: string
                      nullable: true
                    accountBankCode:
                      type: string
                    inflowRequestDate:
                      type: string
                      nullable: true
                    executionDate:
                      type: string
                      nullable: true
                    lastUpdate:
                      type: string
                      nullable: true
                    inflowRequestResendCount:
                      type: integer
                    resendCount:
                      type: integer
      servers:
        - url: https://api.stag.songhaiexchange.io

````